#!/bin/bash
# Navigate to the QMK firmware directory
cd qmk_firmware

# Update submodules
make git-submodule

# Compile each keyboard and keymap found in the /usr/src/app/data directory
# This is a simple example; you might need to adjust it based on your requirements
for d in /usr/src/app/data/* ; do
    if [ -d "$d" ]; then
        kb=$(basename "$d")
        for km in "$d"/* ; do
            if [ -d "$km" ]; then
                keymap=$(basename "$km")
                echo "Compiling $kb with keymap $keymap..."
                make "$kb:$keymap"
                # Copy the compiled firmware to the bin directory
                cp .build/*_$keymap.hex /usr/src/app/bin/
            fi
        done
    fi
done
